%define	name	bw-whois
%define	version	3.4
%define release	2mdk

Summary:	Enhanced WHOIS client on steroids
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:          Networking/Other
URL:		http://whois.bw.org
Source0:	whois-%{version}.tar.bz2
Patch0:		whois-%{version}-config.patch.bz2
BuildArch:      noarch
Requires:       perl
Requires:       perl-DBI
Requires:       perl-CGI
BuildRequires:  perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
BW Whois is a whois client designed to work with the new "Shared
Registration System" whois introduced 1 December 1999. This new
system has proved to be remarkably disorganized and inconsistent,
resulting in tremendous confusion for those of us who need to
find the ownership of a domain now and then.

%prep

%setup -q -n whois-%{version}
%patch0 -p1

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_mandir}/man1

install -m755 whois %{buildroot}%{_bindir}/%{name}
install -m644 whois.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m644 whois.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m644 tld.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m644 sd.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m644 bwInclude.pm %{buildroot}%{perl_vendorlib}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc DISCLAIMER HISTORY INSTALL README create_whois.sql whois-*.html whois.txt
%config(noreplace) %{_sysconfdir}/%{name}/tld.conf
%config(noreplace) %{_sysconfdir}/%{name}/whois.conf
%config(noreplace) %{_sysconfdir}/%{name}/sd.conf
%{_bindir}/%{name}
%{perl_vendorlib}/bwInclude.pm
%{_mandir}/man1/%{name}.1*

%changelog
* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.4-2mdk
- build release

* Tue Jan 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.4-1mdk
- 3.4
- rediff P0
- add some missing files

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-2mdk
- build release

* Sun Jul 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-1mdk
- new version
- relocated configs to %{_sysconfdir}/%{name}/
- added missing man page and config file
- misc spec file fixes

* Tue Jul 16 2002 Pixel <pixel@mandrakesoft.com> 3.0-2mdk
- rebuild for new perl 5.8.0
- move bwInclude.pm from vendorarch to vendorlib

* Fri Mar 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0-1mdk
- initial cooker contrib
- (I wonder why it hasn't made it in here before?)
